EDIT - feature request #6659

Show mediaCreated in dataportal
05/20/2017 03:31 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 50%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.1

Severity: normal

Description

The field Media.mediaCreated is currently not shown in the dataportal but should. It should be added to the image gallery and the
media page (the image gallery might be discussed or configurable, but on media page it is definetely required).

Note: in future the media created will not be a DateTime anymore but a TimePeriod (#7074)
Examples can be found in flora of cyprus where almost all media have a media created set. Same for flora of Greece.

Example in Flora of Greece:

http://portal.cybertaxonomy.org/flora-greece/cdm_dataportal/taxon/1c7a0a82-bd99-44eb-91cf-77a36206d0ad (image gallery) and
http://portal.cybertaxonomy.org/flora-greece/cdm_dataportal/media/b2ab6c51-3dd8-4caa-8eab-9c6cc7e7698¢ (media page)

Related issues:
Related to EDIT - feature request #6658: Make mediaCreated editable in Media ... Closed
Related to EDIT - bug #7074: Use TimePeriod for Media.mediaCreated Closed

Associated revisions

Revision 17993bbd - 05/16/2018 11:48 AM - Andreas Kohlbecker
ref #6659 showing mediaCreated by default

Revision €3059327 - 05/16/2018 12:07 PM - Andreas Kohlbecker
ref #6659 showing mediaCreated by default

Revision fc950359 - 06/04/2018 08:47 PM - Andreas Kohlbecker

fix #6659 fixing bug, media created is now shown

History

#1 - 05/20/2017 03:31 PM - Andreas Miiller
- Related to feature request #6658: Make mediaCreated editable in Media view added

#2 - 11/24/2017 04:03 PM - Andreas Miiller
- Description updated

- Target version changed from Unassigned CDM tickets to Release 4.12

#3 - 11/24/2017 04:04 PM - Andreas Miiller
- Related to bug #7074: Use TimePeriod for Media.mediaCreated added

#4 - 11/24/2017 04:34 PM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Release 4.12 to Release 4.13

#5-01/31/2018 12:12 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#6 - 02/15/2018 03:00 PM - Andreas Miiller
- Target version changed from Release 4.14 to Release 5.0

#7 - 05/16/2018 12:31 PM - Andreas Kohlbecker
- Status changed from New to In Progress

- % Done changed from 0 to 40

implemented but seems not to be working as expected. | have no time to do further testing.

#8 - 05/18/2018 03:14 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Miller

set to resolved to do review

#9 - 05/28/2018 11:08 AM - Andreas Miiller

- Status changed from Resolved to Feedback

It doesn't seem to work yet.

#10 - 05/28/2018 11:08 AM - Andreas Miiller

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

#11 - 06/04/2018 08:47 PM - Andreas Kohlbecker
- Status changed from Feedback to Resolved

- % Done changed from 40 to 50

Applied in changeset cdm-dataportal|fc95035952cdea4802094a45¢c56ba635a372718a.

#12 - 06/04/2018 08:49 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

This is finally fixed! Andreas Mdller, please confirm.

#13 - 06/26/2018 02:09 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Mtiller to Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

Works well.
